
#Set working directory
setwd("")

library(metafor) #meta-analysis using this package

#Reading the file
data <- read.table("Gender.txt",header=T,sep="\t",check.names=F)

#example for data data preparation; 
# a: events and b: no events in group 1 (Male); c: events and d: no events in group 2 (Female)
res <- rma(ai = a, bi = b, ci = c, di = d, data = data,digits = 3,
           measure = "OR", method="FE", knha=T) ##Sidik-Jonkman; knha=Knapp and Hartung

res

#transfation for OR or RR with 95% CI
predict(res,transf = exp)


###### Calculation for HR with 95% CI

data <- read.table("Cancer_specific_survival.txt",header=T,sep="\t",check.names=F)

##transfation
ln <- log(data$hr)
se <- (log(data$uci)-log(data$lci))/3.92
data1 <- cbind(data,ln,se)

res <- rma(yi=ln, sei = se, data = data1,digits = 3,
           method="FE",knha=T) #method="REML",knha=T
res

##transfation for the pooled HR with 95%CI
predict(res,transf = exp)


